GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_wakeup_fd_vtable Struct Reference

`#include <wakeup_fd_posix.h>`

## Data Fields
void(* | create )(grpc_wakeup_fd_info *fd_info)
void(* | consume )(grpc_wakeup_fd_info *fd_info)
void(* | wakeup )(grpc_wakeup_fd_info *fd_info)
void(* | destroy )(grpc_wakeup_fd_info *fd_info)
int(* | check_availability )(void)

## Field Documentation

int(* grpc_wakeup_fd_vtable::check_availability)(void)

void(* grpc_wakeup_fd_vtable::consume)(grpc_wakeup_fd_info *fd_info)

void(* grpc_wakeup_fd_vtable::create)(grpc_wakeup_fd_info *fd_info)

void(* grpc_wakeup_fd_vtable::destroy)(grpc_wakeup_fd_info *fd_info)

void(* grpc_wakeup_fd_vtable::wakeup)(grpc_wakeup_fd_info *fd_info)

The documentation for this struct was generated from the following file:

- src/core/iomgr/wakeup_fd_posix.h